<?
@session_start();
$base_path='../';
$bp='../';

$col_znak_zag_limit=50;
$max_razdel=3;

$tree_cat[0]=0;
$tree_reg[0]=0;
$opis_a = '';

$no_form=1;

$id=intval($_REQUEST['id']);

if(!$_SESSION['ID_P'] && !$_SESSION['ID_Glob'])
exit('Вы не авторизовались на сайте');

if(!$_SESSION['ID_Glob'])
$dop_query = " AND id_akk='".$_SESSION['ID_P'][1]."'";

if($_POST)
	{
	if($_POST['j_enabled']!=1)
	$err .= '- В Вашем браузере не включен Java Script<br>';
	}

require_once('../connect/connect.php');
include_once('../lib/lib.php');

include_once($base_path.'cashe_catalog/_svod_catalog.php'); // дерево каталогов
if(file_exists($base_path.'cashe_region/_svod_region_0.php'))
include_once($base_path.'cashe_region/_svod_region_0.php'); // регионы первого уровня

if(file_exists($base_path.'cashe_n/_svod_rayon.php'))
include_once($base_path.'cashe_n/_svod_rayon.php'); // регионы первого уровня


$title='Редактирование магазина';


if($_POST['add'])
	{
	$r=mysql_query("SELECT * FROM magazin WHERE id='".$id."' ".$dop_query);
	$nr=mysql_num_rows($r);
	if(!$nr) 
	exit('Нет такого магазина');
	$rr=mysql_fetch_array($r);
	$id_akk=$rr['id_akk'];
	$zu=$rr['zag_url'];
	
	
	if($_POST['razdel'])
		{
		$aer=$_POST['razdel'];
		$razdel_yes=array();
		for($i=0; $i<$max_razdel; $i++)
			{
			if(intval($_POST['razdel'][$i]))
			$razdel_yes[]=intval($_POST['razdel'][$i]);
			}
		}
		
	if(!$razdel_yes)
	$err .= '- Не выбрано ни одного раздела<br>';
	else
		{
		$data['razdel'][1]='';
		$r_raz=mysql_query("SELECT * FROM catalog WHERE id_catalog IN (".implode(",",$razdel_yes).")");
		$i=0;
		while($rr_raz=mysql_fetch_array($r_raz))
			{
			if($i)
			$data['razdel'][1] .= "<br>";
			$data['razdel'][1] .= $rr_raz['catalog'];
			$data_m[$rr_raz['id_catalog']]=$rr_raz['parent_id'];
			$i++;
			}
		}

	for($i=0; $i<4; $i++)
		{
		if(isset($_POST['region_'.$i]))
			{
			$id_region_real=intval($_POST['region_'.$i]);
			if(!$i)
				{
				if(!$id_region_real)
					{
					$err .= '- Не указан регион<br>';
					break;
					}
				else
					{
					$glob_region = intval($_POST['region_'.$i]);
					$tree_reg[($i+1)] = intval($_POST['region_'.$i]);
					$data['region_'.$i][1]=intval($_POST['region_'.$i]);
					}
				}
			else
				{
				if(!$id_region_real)
					{
					if($arr_rayon_yes && !in_array($id_region, $arr_rayon_yes))
					$err .= '- Не указан город или район<br>';
					break;
					}
				else
					{
					$tree_reg[($i+1)] = intval($_POST['region_'.$i]);
					$data['region_'.$i][1]=intval($_POST['region_'.$i]);
					}
				}
			$id_region=$id_region_real;
			}
		}
	
	for($i=0; $i<4; $i++)
		{
		if(!$data['region_'.$i][1])
		$data['region_'.$i][1]=0;
		}

	
	
	if($glob_region && file_exists($base_path.'cashe_region/_svod_region_'.$glob_region.'.php'))
	include_once($base_path.'cashe_region/_svod_region_'.$glob_region.'.php'); // наш регион
	
	if(count($tree_reg)>1)
		{
		for($i=1; $i<count($tree_reg); $i++)
			{
			if($arr_rayon && in_array($tree_reg[$i], $arr_rayon))
				{
				$rayon = $arr_regions[$tree_reg[($i-1)]][$tree_reg[$i]];
				break;
				}
			$gorod = $arr_regions[$tree_reg[($i-1)]][$tree_reg[$i]];
			$id_gorod = $tree_reg[$i];
			}
				
		if($gorod) $data['gorod'][1]=$gorod;
		if($id_gorod) $data['id_gorod'][1]=$id_gorod;
		if($rayon) $data['rayon'][1]=$rayon; else $data['rayon'][1]='';
		}

	$data['zag'][1]=_pre_zag($_POST['zag'][1]);
	$col_znak_zag = col_znak($data['zag'][1]);
	if($col_znak_zag > $col_znak_zag_limit)
	$err .= '- Количество знаков в заголовке магазина не должно превышать '.$col_znak_zag_limit.', а у Вас '.$col_znak_zag.'<br>';

	$data['opis'][1] = $data['zag'][1]."\n";

	if(!$data['zag'][1])
	$err .= "- Не указано название магазина<br>";

	$opiss=_pre2($_POST['opis_a']);
	$opis_a=$opiss[1];
	
	$data['contakt'][1]=_pre($_POST['contakt'][1]);
	
	if(!$data['contakt'][1])
	$err .= "- Не указано контактное лицо<br>";

	$data['email'][1]=$_POST['email'][1];
	if(!$data['email'][1])
	$err .= "- Не указан e-mail<br>";
	if($data['email'][1] && !_email($data['email'][1]))
	$err .= "- Некорректный e-mail<br>";

	$data['tel'][1]=_pre($_POST['tel'][1]);


	$data['video_link'][1]=trim($_POST['video_link'][1]);
	$data['video_item'][1]='';
	$data['video_host'][1]='';

	if($data['video_link'][1])
		{
		$v1=video_add($data['video_link'][1]);
		if($v1[0])
			$err .= $v1[0]."<br>";
		elseif($v1[1])
			$err .= $v1[1]."<br>";
		else
			{
			$data['video_item'][1]=$v1[2];
			$data['video_host'][1]=$v1[3];
			}
		}

	if($_POST['map_x'][1])
		{
		$data['map_x'][1]=floatval($_POST['map_x'][1]);
		$data['map_y'][1]=floatval($_POST['map_y'][1]);
		}
	else
		{
		$data['map_x'][1]=0;
		$data['map_y'][1]=0;
		}

	if(trim($_POST['url'][1]))
		{
		$dm0 = doman_name($_POST['url'][1]);
		$data['url'][1]='http://'.$dm0[0];
		include('../blok/convert.class.php');
		$IDN = new idna_convert();
		$data['url_real'][1] = $IDN->encode($data['url'][1]);
		$result=@get_headers($data['url_real'][1]);
		if($result && is_array($result))
			{
			$res=explode(" ",$result[0]);
			}
		$ress=intval(trim($res[1]));
		if(!($ress==200 || $ress==301)) $err .= '- Некорректный адрес сайта';
		}
	else
		{
		$data['url'][1] = '';
		$data['url_real'][1] = '';
		}



	if(file_exists('../logo_magazin/'.$id_akk.'.jpg'))
	$data['small'][1]='logo_magazin/'.$id_akk.'.jpg';
	else
	$data['small'][1]='';

	//echo $opis_a;
	if ($data  && !$err) //запрос на добавление
		{
		if($opis_a)
		$data['opis'][1] .= "<hr>".trim($opis_a);
	
		$q_into = '';
		$i=0;
		foreach($data as $index=>$dt)
			{
			if($i) $q_into .= ','; 
		
			if(!is_array($dt[1]))
				{
				$q_into .= $index."='".$dt[1]."'";
				}
			else
				{
				$q='';
				foreach($dt[1] as $d)
					{
					$q .= ' '.$d; 
					}
				$q .= ' '; 
				$q_into .= $index."='".$q."'";
				}
			$i++;
			}
		
		$query = "UPDATE magazin SET ".$q_into." WHERE id=".$id;
		
		//echo $query; exit;
		
		if(mysql_query($query))
			{
			if($razdel_yes && $id)
				{
				mysql_query("DELETE FROM razdel WHERE magazin_r='".$id."'");
				foreach($razdel_yes as $dr)
					{
					mysql_query("INSERT INTO razdel (razdel_r, razdel_m, magazin_r) VALUES ('".$dr."', '".$data_m[$dr]."', '".$id."')");
					}
				}
				
			if(!$err)
				{
				if($_SESSION['ID_P'])
				echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=../user/magazin.php'></HEAD></HTML>";
				else
				echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=../_".$zu."/'></HEAD></HTML>";
				exit();
				}
			}
		else 
			{
			echo 'Неверный запрос:<br>';
			echo $query;	
			}
		}
	}

elseif (!$_POST['add'])
	{
	$r=mysql_query("SELECT * FROM magazin WHERE id='".$id."' ".$dop_query);
	$nr=mysql_num_rows($r);
	if(!$nr) exit('Нет такого магазина');
	$rr=mysql_fetch_array($r);
	$id_akk = $rr['id_akk'];
	
	$data['zag'][1]=$rr['zag'];
	
	$dataw=explode("<hr>",$rr['opis']);
	if($dataw[1])
	$opis_a=str_replace("<br>","\n",$dataw[1]);
	
	$data['tel'][1]=$rr['tel'];
	$data['email'][1]=$rr['email'];
	$data['contakt'][1]=$rr['contakt'];
	$data['map_x'][1]=$rr['map_x'];
	$data['map_y'][1]=$rr['map_y'];
	$data['url'][1]=$rr['url'];
	$data['url_real'][1]=$rr['url_real'];

	$r1=mysql_query("SELECT * FROM razdel WHERE magazin_r='".$id."'");
	while($rr1=mysql_fetch_array($r1))
		{
		$aer[]=$rr1['razdel_r'];
		}
	
	
	
	
	$glob_region=$rr['region_0'];
	if(file_exists($base_path.'cashe_region/_svod_region_'.$glob_region.'.php'))
	include_once($base_path.'cashe_region/_svod_region_'.$glob_region.'.php'); // наш регион
	
	for($i=0; $i<4; $i++)
		{
		if($rr['region_'.$i])
			{
			$tree_reg[($i+1)]=$rr['region_'.$i];
			$data['region_'.$i][1]=$rr['region_'.$i];
			
			if(!$i)
			$reg_reg .= $arr_regions[0][$rr['region_0']];
			else
			$reg_reg .= ', '.$arr_regions[$rr['region_'.($i-1)]][$rr['region_'.$i]];
			}
		}
	}

?>
<HTML><HEAD><TITLE><? echo $title; ?></TITLE>
<META http-equiv=content-type content="text/html; charset=utf-8">
<link rel="stylesheet" href="../style/style.css" type="text/css"/>

<script type="text/javascript" charset="utf-8" src="../js/jquery-1.4.4.min.js"></script>
<script type="text/javascript" src="../js/ajaxfileupload.js"></script>
<![if !IE]>
<script type="text/javascript" src="../js/jquery.corner.js"></script>
<?
if($rru['round'])
{
?>
<script type="text/javascript">
$(document).ready(function(){
$(".imground").corner("round");
$(".submit").corner("round");
$(".str").corner("round");
});
</script>
<?
}
?>
<![endif]>

<?
if($rru['map']=='y')
	{
	?>
	<script type="text/javascript" src="../js/showAddressY.js"></script>
	<?
	}
elseif($rru['map']=='g')
	{
	?>
	<script type="text/javascript" src="../js/showAddressG.js"></script>
	<?
	}
?>

<script type="text/javascript">

	function alles()
		{
		$.ajax({
			type: "GET",
			url: "upload_result_mag.php?id_akk=<?=$id_akk?>&tim="+Math.floor(new Date().getTime() / 1000),
			success: function(html) {
				$("#len").empty();
				$("#len").append(html);
                }
        	});
		}
	
	
	function dels()
		{
		$.ajax({
			type: "GET",
			url: "upload_result_mag.php?id_akk=<?=$id_akk?>&del=1&tim="+Math.floor(new Date().getTime() / 1000),
			success: function(html) {
				$("#len").empty();
				$("#len").append(html);
                }
        	});
		}
	
	
	
	function ajaxUpload()
	{
		$("#loading")
		.ajaxStart(function(){
			$(this).show();
			document.getElementById('foto').disabled=1;
		})
		.ajaxComplete(function(){
			$(this).hide();
		});
	
	
	
		$.ajaxFileUpload
		(
			{
				url:"upload_file_mag.php?id_akk=<?=$id_akk?>",
				secureuri:false,
				fileElementId:'foto',
				dataType: 'json',
				success: function (data, status)
				{
					if(typeof(data.error) != 'undefined')
					{
						if(data.error != '')
						{
						document.getElementById('foto').disabled=0;
						alert(data.error);
						}
						else
						{
						alles();
						}
					}
				},
				error: function (data, status, e)
				{
					alert(e);
				}
			}
		)
		
		return false;

	}
</script>

</HEAD>
<BODY 
style="MARGIN: 0px auto; POSITION: relative; min-width: 1000px" 
); ?auto? 1000px?:>
<?
include_once($base_path."blok/top_form.php"); 
?>
<table cellpadding="10" cellspacing="10" width="100%"><tr><td>

<?
if($err) echo '<p><font color=red>ОШИБКА:<br>'.$err.'</font></p>';

?>

<form enctype="multipart/form-data" action="edit_magazin.php" method="post" id="form_edit" name="form_edit" >
<table cellpadding="1" cellspacing="1" >
	
	
		<?
		for ($i=0; $i<4; $i++)
		{
		?>
<tr>
	<td width="30%">
	<? if(!$i) echo '<font size=+1 color=red>*</font> Регион, город, район'; ?>
		<td  id="reg_<?=$i?>">
			<?
			if(count($arr_regions[$tree_reg[$i]]))
			{
			?>
			<select style="width: 150px" name="region_<?=$i?>" 
				<?
				if(!$i)
					{
					?>
					onChange="search_reg(<?=$i?>, this.value, this.value, 0); return false">
					<?
					}
				else
					{
					?>
					onChange="search_reg(<?=$i?>, this.value, <?=$glob_region?>, <?=$tree_reg[$i]?>); return false">
					<?
					}
				?>
			<option value="0"> - - - </option>
			<?
			foreach($arr_regions[$tree_reg[$i]] as $index=>$arr_region)
				{
				?>
				<option value="<?=$index?>" <? if($tree_reg[($i+1)]==$index) echo 'selected'; ?> ><?=$arr_region?></option>
				<?
				}
				?>
			</select>
			<input type="hidden" name="name_reg_<?=$i?>" id="name_reg_<?=$i?>" value="<?=$arr_regions[$tree_reg[$i]][$tree_reg[($i+1)]]?>">
			<?
			
			}
			?>
		</td>
		<?
		}
		?>
	
	<tr><td></td><td id="reg_4"></td></tr>

	
<tr>
	<td width="30%">
	<font size=+1 color=red>*</font> Раздел
		<td>
			<select size="10" multiple name="razdel[]" id="razdel" >
			<?
			foreach($arr_razdel[0] as $index=>$raz)
				{
				?>
				<optgroup label="<?=$raz?>">
					<?
					foreach($arr_razdel[$index] as $ind=>$ra)
						{
						?>
						<option onclick="vibor_cat(this,<?=$max_razdel?>)" value="<?=$ind?>" <? if($aer && in_array($ind, $aer)) echo 'selected'; ?>><?=$ra?></option>
						<?
						}
					?>
				</optgroup>
				<?
				}
				?>
			</select>
		</td>

<tr>
	<td width="40%">
	<font size=+1 color=red>*</font> Название магазина 
	<td>
	<input name="zag[1]" value="<?=stripslashes($data['zag'][1])?>" size="50">

<tr>
	<td>
	<font size=+1 color=red>*</font> Описание
	<td>
	<textarea cols="60" rows="15" name="opis_a"><?=stripslashes(htmlspecialchars_decode($opis_a))?></textarea>

<tr>
	<td>
	Сайт магазина
	<td>
	<input name="url[1]" value="<?=$data['url'][1]?>" size="50">

<tr>
	<td>
	<font size=+1 color=red>*</font> Контактное лицо
	<td>
	<input name="contakt[1]" value="<?=stripslashes($data['contakt'][1])?>" size="50">

<tr>
	<td>
	<font size=+1 color=red>*</font> E-mail
	<td>
	<input name="email[1]" value="<?=$data['email'][1]?>" size="50">

<tr>
	<td>
	Телефон
	<td>
	<input name="tel[1]" value="<?=stripslashes($data['tel'][1])?>" size="50">


<tr>
	<td>
	Видео
	<td>
	<input value="<?=stripslashes($data['video_link'][1])?>" name="video_link[1]" size="50">

<tr>
	<td>
	Карта
	<td>
<?
if($_POST['adr'])
$adr=$_POST['adr'];
else
$adr=urlencode($reg_reg);
?>
<a href="javascript:map_add()">Местоположение объекта на карте</a><br><br>

<input type="hidden" name="map_x[1]" id="map_x" value="<?=$data['map_x'][1]?>">
<input type="hidden" name="map_y[1]" id="map_y" value="<?=$data['map_y'][1]?>">
<input type="hidden" name="adr" id="adr" value="<?=$adr?>">

<tr>
	<td>
  	Логотип
  	<td>
	<input onChange="return ajaxUpload();" id="foto" type="file" name="foto" class="input"> <img id="loading" src="../icon/ajax-loader2.gif" style="display:none;">			
<tr>
	<td>
	<td id="len">
	<? 
	include_once('upload_result_mag.php');
	?>

<tr>
<td colspan="2">
<input type="hidden" name="id" value="<?=$id?>">

<input type="hidden" name="add" value="1">
<input type="hidden" name="j_enabled" id="j_enabled" value="">

<input name="submit" class="submit" type="submit" onclick="j_enab(); return true" value="Изменить">

</table>
</form>

<script language="javascript">
			
			function search_reg(w, id_reg, glob, m)
			{
			$.ajax({
					type: "GET",
					url: "<?=$bp.'add/'?>search_reg_two.php?w="+w+"&id_reg="+id_reg+"&glob="+glob+"&m="+m,
					success: function(html) {
					var v=w+1;
					for(var i=v; i<5; i++)
						{
						$("#reg_"+i).empty();
						}
					$("#reg_"+v).append(html);
                	}
        		});
			}
			
			
			function j_enab()
			{
			document.getElementById('j_enabled').value = '1'; 
			}
			
function vibor_cat(elem,m){
    var region = document.getElementById('razdel');
    var countSelected = 0;
	var a=0;
	if(m==1) a='';
	if(m>1 && m<5) a='а';
	if(m>4) a='ов';
    //Считаем
    for (var i = 0; i < region.options.length; i++){
        if (region.options[i].selected)
            countSelected++;
    }
    if (countSelected > m){//Отменяем последнее выделение
        elem.selected = false;
        alert('Вы уже выбрали '+m+' раздел'+a+'. Больше выбирать нельзя');
    }
}		
			
			
</script>				

</td></tr></table>
					<?
					include_once($base_path."blok/bottom_form.php"); 
					?>

</body>
</html>